ChangeSet 1.970, 2002/12/27 15:05:33-08:00, greg@kroah.com

[PATCH] USB: fix up some bugs in the cpia driver


diff -Nru a/drivers/media/video/cpia_usb.c b/drivers/media/video/cpia_usb.c
--- a/drivers/media/video/cpia_usb.c	Fri Dec 27 23:55:25 2002
+++ b/drivers/media/video/cpia_usb.c	Fri Dec 27 23:55:25 2002
@@ -486,7 +486,7 @@
 		      const struct usb_device_id *id)
 {
 	struct usb_device *udev = interface_to_usbdev(intf);
-	struct usb_interface_descriptor *interface;
+	struct usb_host_interface *interface;
 	struct usb_cpia *ucpia;
 	struct cam_data *cam;
 	int ret;
@@ -508,7 +508,7 @@
 	memset(ucpia, 0, sizeof(*ucpia));
 
 	ucpia->dev = udev;
-	ucpia->iface = interface->bInterfaceNumber;
+	ucpia->iface = interface->desc.bInterfaceNumber;
 	init_waitqueue_head(&ucpia->wq_stream);
 
 	ucpia->buffers[0] = vmalloc(sizeof(*ucpia->buffers[0]));
